package com.install4j.api.beaninfo;

import javax.swing.*;

/**
 * Enumeration class for all possible file selection modes for file property descriptors.
 * @see FilePropertyDescriptor#create(String, Class, String, String, FileSelectionMode, String[], String)
 */
public class FileSelectionMode {

    /**
     * Only show files in the file chooser.
     */
    public static final FileSelectionMode FILES_ONLY = new FileSelectionMode(JFileChooser.FILES_ONLY);

    /**
     * Only show directories in the file chooser.
     */
    public static final FileSelectionMode DIRECTORIES_ONLY = new FileSelectionMode(JFileChooser.DIRECTORIES_ONLY);

    /**
     * Show both files and directories in the file chooser.
     */
    public static final FileSelectionMode FILES_AND_DIRECTORIES = new FileSelectionMode(JFileChooser.FILES_AND_DIRECTORIES);

    private int mode;

    private FileSelectionMode(int mode) {
        this.mode = mode;
    }

    /**
     * Convert to an int value.
     * @return the int value
     */
    public int getJFileChooserMode() {
        return mode;
    }

}
