package com.install4j.api.formcomponents;

/**
 * Type of a layout group.
 * This enumeration is returned by {@link LayoutGroup#getGroupType()}.
 */
public class GroupType {

    /**
     * Vertical layout group
     */
    public static final GroupType VERTICAL = new GroupType("Vertical");

    /**
     * Horizontal layout group
     */
    public static final GroupType HORIZONTAL = new GroupType("Horizontal");

    /**
     * Tabbed pane
     */
    public static final GroupType TABBED_PANE = new GroupType("Tabbed pane");

    /**
     * Tabbed pane
     */
    public static final GroupType SINGLE_TAB = new GroupType("Single tab");

    private String verbose;

    private GroupType(String verbose) {
        this.verbose = verbose;
    }

    public String toString() {
        return verbose;
    }
}
